# Get the Structure of Appointments by Source

Endpoint: GET /locations/{location_id}/analytics/overall/charts/record_source
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (number, required)
    location ID

## Query parameters:

  - `date_from` (string, required)
    Start date of the analyzed period

  - `date_to` (string, required)
    End date of the analyzed period (included in the report)

  - `team_member_id` (integer)
    ID of the location team member whose work needs to be analyzed

  - `user_id` (integer)
    The user ID of the location whose work you want to analyze

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

## Response 200:

  - `200` (unknown)
    Structure of appointments by sources

## Response 200 fields (application/json):

  - `label` (string)
    Name of indicator

  - `data` (integer)
    Indicator value

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

